MPI_Op_free(3)

NAME
MPI_Op_free - Frees a user-defined combination function handle.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Op_free(MPI_Op *op)

Fortran Syntax
INCLUDE 'mpif.h'
MPI_OP_FREE(OP, IERROR)
	INTEGER	OP, IERROR

C++ Syntax
#include <mpi.h>
void Op::Free()

INPUT/OUTPUT PARAMETER

op  Operation (handle).

OUTPUT PARAMETER

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
Marks a user-defined reduction operation for deallocation and sets op to MPI_OP_NULL.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

SEE ALSO

MPI_Op_create
MPI_Reduce
MPI_Allreduce
MPI_Reduce_scatter
MPI_Scan